Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.foundation
Interface ConsensusFoundationModule

All Known Subinterfaces:
  DynamicRightsManager, EvolutionManager, IncentiveManager, LoggingManager, OntologyManager, RatingManager, UserManager

All Known Implementing Classes:
  AbstractConsensusFoundationModule, DynamicRightsManagerImpl, EvolutionManagerImpl, IncentiveManagerImpl, LoggingManagerImpl, OntologyManagerImpl, SQLRatingManagerImpl, TM4JRatingManagerImpl, UserManagerImpl

public interface ConsensusFoundationModule

Every implementation of a ConsensusFoundation component (one of the seven "managers") must implement this interface.

Version:
  2006-06-14
Author:
  Thomas Much

Method Summary
`ConsensusFoundationManager` | `getConsensusFoundationManager()` Returns a reference to the ConsensusFoundation instance that set up the application
`String` | `getVersion()` Returns a version string of the implementation of this module.
`void` | `initCompleted(Properties config, ConsensusFoundationManager cfm)` This method is called by the `ConsensusFoundation` constructor after all available modules have been initialized (i.e. their `init()` method has been called).
`void` | `shutdown()` Called by `ConsensusFoundation.shutdown()` when the application shuts down.

Method Detail

### initCompleted

    public void initCompleted(Properties config,
                              ConsensusFoundationManager cfm)
                       throws Exception

  This method is called by the `ConsensusFoundation` constructor after all available modules have been initialized (i.e. their `init()` method has been called). Here a module can perform some final initialization that is dependant on other modules.

  Parameters:
    `config` - all entries from `ConsensusFoundation.properties`
    `cfm` - a reference to the ConsensusFoundation instance that set up the application
  Throws:
    `Exception` - if any error occurs (startup of the application is aborted in this case)
  See Also:
    `ConsensusFoundation.ConsensusFoundation()`

### getConsensusFoundationManager

    public ConsensusFoundationManager getConsensusFoundationManager()

  Returns a reference to the ConsensusFoundation instance that set up the application

  Returns:
    a reference to the ConsensusFoundation instance that set up the application
  See Also:
    `ConsensusFoundation`

### shutdown

    public void shutdown()

  Called by `ConsensusFoundation.shutdown()` when the application shuts down.

  When implementing this method make sure that the shutdown code is executed only once even if this method is called multiple times.

  See Also:
    `ConsensusFoundation.shutdown()`

### getVersion

    public String getVersion()

  Returns a version string of the implementation of this module.

  Returns:
    the version of the module's implementation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD